Show / Hide Table of Contents

# Class IpcTypeMismatchError

This exception is thrown when an IPC method is checked out, but the type does not match what was previously registered.

##### Inheritance

System.Object
System.Exception
IpcTypeMismatchError

##### Implements

System.Runtime.Serialization.ISerializable

##### Inherited Members

System.Exception.GetBaseException()
System.Exception.GetObjectData(System.Runtime.Serialization.SerializationInfo, System.Runtime.Serialization.StreamingContext)
System.Exception.GetType()
System.Exception.ToString()
System.Exception.Data
System.Exception.HelpLink
System.Exception.HResult
System.Exception.InnerException
System.Exception.Source
System.Exception.StackTrace
System.Exception.TargetSite
System.Exception.SerializeObjectState
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Plugin

###### Assembly: Dalamud.dll

##### Syntax

    public class IpcTypeMismatchError : Exception, ISerializable

### Constructors

| Improve this Doc View Source

#### IpcTypeMismatchError(String, Type[], Type[])

Initializes a new instance of the IpcTypeMismatchError class.

##### Declaration

    public IpcTypeMismatchError(string name, Type[] requestedTypes, Type[] actualTypes)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | name | Name of the IPC method.
System.Type[] | requestedTypes | The types requested when checking out the IPC.
System.Type[] | actualTypes | The types registered by the IPC.

### Properties

| Improve this Doc View Source

#### ActualTypes

Gets the types that were previously registered.

##### Declaration

    public Type[] ActualTypes { get; }

##### Property Value

Type | Description
--- | ---
System.Type[] |

| Improve this Doc View Source

#### Message

##### Declaration

    public override string Message { get; }

##### Property Value

Type | Description
--- | ---
System.String |

##### Overrides

System.Exception.Message
| Improve this Doc View Source

#### Name

Gets the name of the IPC that was invoked.

##### Declaration

    public string Name { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### RequestedTypes

Gets the types that were requested.

##### Declaration

    public Type[] RequestedTypes { get; }

##### Property Value

Type | Description
--- | ---
System.Type[] |

### Implements

System.Runtime.Serialization.ISerializable